logo
MailboxesUpdate mailbox settings

Update mailbox settings

Update display name, daily send limit, signature, sending enabled status, or tags.

curl -X PATCH "https://api.sendkit.ai/v1/mailboxes/example_string" \
  -H "Content-Type: application/json" \
  -H "X-Api-Key: YOUR_API_KEY" \
  -d '{
  "displayName": "Sarah J.",
  "dailySendLimit": 30,
  "sendingEnabled": true,
  "tags": [
    "outreach",
    "primary"
  ]
}'
{
  "success": true,
  "data": {
    "_id": "665b1c2d3e4f5a6b7c8d9e0f",
    "email": "sarah@company.com",
    "displayName": "Sarah J.",
    "dailySendLimit": 30,
    "sendingEnabled": true,
    "tags": [
      "outreach",
      "primary"
    ],
    "updatedAt": "2025-06-20T09:00:00.000Z"
  }
}
PATCH
/v1/mailboxes/{mailboxId}
PATCH
API Key (header: X-Api-Key)
X-Api-Keystring
Required

Platform API key (sk_user_...) or Workspace API key (sk_...)

Platform API key (sk_user_...) or Workspace API key (sk_...)
Content-Typestring
Required

The media type of the request body

Options: application/json
displayNamestring

Sender display name

dailySendLimitinteger

Maximum emails per day (clamped to 1-50)

Min: 1 • Max: 50
signaturestring

HTML email signature

sendingEnabledboolean

Enable or disable sending from this mailbox

tagsarray

Replace all tags on this mailbox

Request Preview
Response

Response will appear here after sending the request

Authentication

header
X-Api-Keystring
Required

API Key for authentication. Platform API key (sk_user_...) or Workspace API key (sk_...)

Path Parameters

Body

application/json
displayNamestring

Sender display name

dailySendLimitinteger

Maximum emails per day (clamped to 1-50)

signaturestring

HTML email signature

sendingEnabledboolean

Enable or disable sending from this mailbox

tagsarray

Replace all tags on this mailbox

Responses

successboolean
dataobject

Updated mailbox (credentials excluded)